python3-psycopg2-2.7.7-2.1.i586.rpm


Advertisement

Description

python3-psycopg2 - Python-PostgreSQL Database Adapter

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-psycopg2-2.7.7-2.1.i586.rpm
Package name python3-psycopg2
Package version 2.7.7
Package release 2.1
Package architecture i586
Package type rpm
Category Development/Languages/Python
Homepage http://initd.org/psycopg/
License LGPL-3.0-or-later AND (LGPL-3.0-or-later OR ZPL-2.0) AND SUSE-GPL-2.0-with-openssl-exception
Maintainer -
Download size 162.34 KB
Installed size 602.98 KB
psycopg2 is a PostgreSQL database adapter for the Python programming
language.
psycopg2 is different from the other database adapter because it was
designed for heavily multi-threaded applications that create and destroy
lots of cursors and make a conspicuous number of concurrent INSERTs or
UPDATEs. psycopg2 also provide asychronous operations and support
for coroutine libraries.

Alternatives

Package Version Architecture Repository
python3-psycopg2-2.7.7-2.1.x86_64.rpm 2.7.7 x86_64 openSUSE Oss
python3-psycopg2 - - -

Requires

Name Value
libc.so.6(GLIBC_2.15) -
libpq.so.5 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpython3.7m.so.1.0 -
python(abi) = 3.7

Provides

Name Value
python3-psycopg2 = 2.7.7-2.1
python3-psycopg2(x86-32) = 2.7.7-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-psycopg2-2.7.7-2.1.i586.rpm
Source Package python-psycopg2-2.7.7-2.1.src.rpm

Install Howto

Install python3-psycopg2 rpm package:

# zypper install python3-psycopg2

Files

Path
/usr/lib/python3.7/site-packages/psycopg2-2.7.7-py3.7.egg-info
/usr/lib/python3.7/site-packages/psycopg2/__init__.py
/usr/lib/python3.7/site-packages/psycopg2/_ipaddress.py
/usr/lib/python3.7/site-packages/psycopg2/_json.py
/usr/lib/python3.7/site-packages/psycopg2/_psycopg.cpython-37m-i386-linux-gnu.so
/usr/lib/python3.7/site-packages/psycopg2/_range.py
/usr/lib/python3.7/site-packages/psycopg2/errorcodes.py
/usr/lib/python3.7/site-packages/psycopg2/extensions.py
/usr/lib/python3.7/site-packages/psycopg2/extras.py
/usr/lib/python3.7/site-packages/psycopg2/pool.py
/usr/lib/python3.7/site-packages/psycopg2/psycopg1.py
/usr/lib/python3.7/site-packages/psycopg2/sql.py
/usr/lib/python3.7/site-packages/psycopg2/tz.py
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_ipaddress.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_ipaddress.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_json.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_json.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_range.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/_range.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/errorcodes.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/errorcodes.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/extensions.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/extensions.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/extras.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/extras.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/pool.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/pool.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/psycopg1.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/psycopg1.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/sql.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/sql.cpython-37.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/tz.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/psycopg2/__pycache__/tz.cpython-37.pyc
/usr/share/doc/packages/python3-psycopg2/AUTHORS
/usr/share/doc/packages/python3-psycopg2/NEWS
/usr/share/doc/packages/python3-psycopg2/README.rst
/usr/share/licenses/python3-psycopg2/LICENSE

Changelog

2019-04-02 - Todd R <toddrme2178@gmail.com>
- Requires postgresql-server-devel on Factory now.
2019-03-04 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 2.7.7:
* Cleanup of the cursor results assignment code, which might have solved
double free and inconsistencies in concurrent usage (:tickets:`#346, #384`).
* Close named cursors if exist, even if execute() wasn't called (ticket #746).
* Fixed building on modern FreeBSD versions with Python 3.7 (ticket #755).
* Fixed hang trying to COPY via execute() in asynchronous connections (ticket #781).
* Fixed adaptation of arrays of empty arrays (ticket #788).
* Fixed segfault accessing the connection.readonly and connection.deferrable attributes repeatedly (ticket #790).
* execute_values() accepts sql.Composable objects (ticket #794).
* errorcodes map updated to PostgreSQL 11.
* Allow non-ascii chars in namedtuple fields (regression introduced fixing ticket #211).
* Fixed adaptation of arrays of arrays of nulls (ticket #325).
* Fixed building on Solaris 11 and derivatives such as SmartOS and illumos (ticket #677).
* Maybe fixed building on MSYS2 (as reported in ticket #658).
* Allow string subclasses in connection and other places (ticket #679).
* Don't raise an exception closing an unused named cursor (ticket #716).
2018-03-07 - aplanas@suse.com
- Allows Recommends and Suggest in Fedora
2018-02-27 - aplanas@suse.com
- Suggests only for SUSE
2018-02-22 - sebix+novell.com@sebix.at
- update to version 2.7.4:
- Moving away from installing the wheel package by default.
Packages installed from wheel raise a warning on import. Added package
``psycopg2-binary`` to install from wheel instead (:ticket:`#543`).
- Convert fields names into valid Python identifiers in
`~psycopg2.extras.NamedTupleCursor` (:ticket:`#211`).
- Fixed Solaris 10 support (:ticket:`#532`).
- `cursor.mogrify()` can be called on closed cursors (:ticket:`#579`).
- Fixed setting session characteristics in corner cases on autocommit
connections (:ticket:`#580`).
- Fixed `~psycopg2.extras.MinTimeLoggingCursor` on Python 3 (:ticket:`#609`).
- Fixed parsing of array of points as floats (:ticket:`#613`).
- Fixed `~psycopg2.__libpq_version__` building with libpq >= 10.1
(:ticket:`632`).
- Fixed `~cursor.rowcount` after `~cursor.executemany()` with :sql:`RETURNING`
statements (:ticket:`633`).
- Fixed compatibility problem with pypy3 (:ticket:`#649`).
- Wheel packages compiled against PostgreSQL 10.1 libpq and OpenSSL 1.0.2n.
- Wheel packages for Python 2.6 no more available (support dropped from
wheel building infrastructure).
- update to version 2.7.3.2:
- not relevant
- update to version 2.7.3.1:
- not relevant

See Also

Package Description
python3-ptpython-2.0.3-3.1.noarch.rpm Python REPL build on top of prompt_toolkit
python3-ptpython-ptipython-2.0.3-3.1.noarch.rpm Python REPL build on top of prompt_toolkit - IPython support
python3-ptyprocess-0.6.0-2.2.noarch.rpm Run a subprocess in a pseudo terminal
python3-publicsuffixlist-0.6.5-1.1.noarch.rpm Public suffix list implementaion in Python
python3-pudb-2018.1-2.3.noarch.rpm A full-screen, console-based Python debugger
python3-pulsectl-17.12.2-2.2.noarch.rpm Python high-level interface and ctypes-based bindings for PulseAudio (libpulse)
python3-pure-sasl-0.6.1-1.1.noarch.rpm Pure Python client SASL implementation
python3-pwquality-1.4.0-2.4.i586.rpm Python 3 bindings for libpwquality
python3-pwquality-1.4.0-2.4.x86_64.rpm Python 3 bindings for libpwquality
python3-py-1.8.0-1.1.noarch.rpm Library with cross-python path, ini-parsing, io, code, log facilities
python3-py-cpuinfo-3.1.0-3.1.noarch.rpm Python library and tool to get CPU info
python3-py-espeak-ng-0.1.8-1.1.noarch.rpm Python interface for eSpeak NG
python3-py-radix-0.10.0-1.4.i586.rpm Radix tree implementation
python3-py-radix-0.10.0-1.4.x86_64.rpm Radix tree implementation
python3-py-ubjson-0.13.0-1.1.i586.rpm Universal Binary JSON encoder/decoder
Advertisement
Advertisement